CursorConverter (JavaFX 13)

Module javafx.graphics
Package javafx.css.converter

## Class CursorConverter

- java.lang.Object
- - javafx.css.StyleConverter<String,​Cursor>
  - - javafx.css.converter.CursorConverter

-     public final class CursorConverter
      extends StyleConverter<String,​Cursor>

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Cursor` | `convert​(ParsedValue<String,​Cursor> value, Font not_used)` | Convert from the parsed CSS value to the target property type.
    `static StyleConverter<String,​Cursor>` | `getInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static StyleConverter<String,​Cursor> getInstance()

    - #### convert

          public Cursor convert​(ParsedValue<String,​Cursor> value,
                                Font not_used)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<String,​Cursor>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `not_used` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`